### Function

# Gtk ListBoxForeachFunc

#### Declaration

    void
    (* GtkListBoxForeachFunc) (
      GtkListBox* box,
      GtkListBoxRow* row,
      gpointer user_data
    )

#### Description [src]

A function used by gtk_list_box_selected_foreach().

It will be called on every selected child of the `box`.

#### Parameters

`box`

  Type: `GtkListBox`

  A `GtkListBox`

  The data is owned by the caller of the function.

`row`

  Type: `GtkListBoxRow`

  A `GtkListBoxRow`

  The data is owned by the caller of the function.

`user_data`

  Type: `gpointer`

  User data.

  The argument can be `NULL`.
  The data is owned by the caller of the function.